package com.portlandwebworks.commons.dao;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This software is the property of Portland Webworks.
 *
 * This annotation allows applying a single bean property value to multiple query criteria using an OR operator
 *
 * @Author rnorthup
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD, ElementType.METHOD, ElementType.ANNOTATION_TYPE, ElementType.PARAMETER})
public @interface AnySearchCriteria
{
	public SearchCriterion[] value();
}
