/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.email;

import org.springframework.core.io.InputStreamSource;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * This software is the property of Portland Webworks.
 *
 * @Author rnorthup
 */
public class EmailAttachment
{
	private String fileName;
	private String mimeType;
	private InputStreamSource contents;

	public EmailAttachment()
	{
	}

	public EmailAttachment(String fileName, String mimeType, InputStreamSource contents)
	{
		this.fileName = fileName;
		this.mimeType = mimeType;
		this.contents = contents;
	}

	public String getFileName()
	{
		return fileName;
	}

	public void setFileName(String fileName)
	{
		this.fileName = fileName;
	}

	public String getMimeType()
	{
		return mimeType;
	}

	public void setMimeType(String mimeType)
	{
		this.mimeType = mimeType;
	}

	public InputStreamSource getContents()
	{
		return contents;
	}

	public void setContents(InputStreamSource contents)
	{
		this.contents = contents;
	}
}
