/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.extjs;

import com.portlandwebworks.commons.dao.GridDisplayResults;
import com.portlandwebworks.commons.domain.IEntity;

import java.beans.BeanInfo;
import java.beans.IntrospectionException;
import java.beans.Introspector;
import java.beans.PropertyDescriptor;
import java.util.ArrayList;
import java.util.List;

/**
 * This software is the property of Portland Webworks.
 *
 * @Author rnorthup
 */
public class ExtJsGridDisplayResults<T extends IEntity> extends GridDisplayResults<T>
{
	public ExtJsGridDisplayResults(GridDisplayResults<T> results)
	{
		setItems(results.getItems());
		setTotalItemCount(results.getTotalItemCount());
	}

	public List<String> getMetaData()
	{
		ArrayList<String> fields = new ArrayList<String>();

		if (getItems() != null && getItems().size() > 0) {
			// introspect bean in list get field names
			try {
				BeanInfo info = Introspector.getBeanInfo(getItems().get(0).getClass());
				for ( PropertyDescriptor pd : info.getPropertyDescriptors() ) {
					fields.add( pd.getName());
				}
			} catch (IntrospectionException e) {
				throw new RuntimeException(e); // TODO: properly catch/handle exception
			}
		}
		return fields;
	}
}
