/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.service;

import com.portlandwebworks.commons.security.ISecurityProvider;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * This software is the property of Portland Webworks.
 *
 * Common functionality for service type classes.
 *
 * @Author rnorthup
 */
public class ServiceBase
{
	@Autowired(required = true)
	private ISecurityProvider securityProvider;

	/**
	 * Provides access to the security provider configured for this service.
	 * 
	 * @return
	 */
	protected ISecurityProvider getSecurityProvider()
	{
		return securityProvider;
	}
}
